Subject: [Spridgets] Carlisle import show

From: Alan via Spridgets <[email-masked]>
Date: Tue, 14 May 2019 10:15:54 -0400

I can fondly recall preparing weeks before the Carlisle show looking forward to
Setting up a booth and then the hourly walk arounds partly to socialize,
partly to covertly rummage for more parts. Anticipating the weather wildcard.
Then gathering for lunch at the food concession area. Later to settle on a dinner place and enjoy staging our cars outside and answering curious onlookers questions.
Frank, Biff, Kevin, Chuck, Rick, Franky, Rob, Linda and several others I have
Probably forgot about. But all of us made it a great yearly event.
My last few trips saw less and less vendors, fewer hobbyists, and a constant
struggle to maintain our own Import Show identity.
The 7% sales tax slapped on didn't help either
I read Bud's post and can relate completely.
Just wanted to add my .02 worth about this coming weekend in Pennsylvania.
Alan

Sent from my iPad
------------------------

[email-masked]

Archive: http://www.team.net/pipermail/spridgets  http://autox.team.net/archive